# Configuration file

"balance settings" {
    I:bagStackSize=512
    D:bitLightPercentage=6.25
    B:blacklistTickingBlocks=true
    B:compatabilityMode=true
    B:damageTools=true
    I:diamondChiselUses=796480
    I:diamondSawUses=7980
    B:enableBitLightSource=true
    B:enableChiselToolHarvestCheck=true
    S:enableChiselToolHarvestCheckTools=pickaxe,axe,shovel
    B:enableSetBitCommand=false
    B:enableToolHarvestLevels=true
    B:fullBlockCrafting=true
    I:goldChiselUses=1024
    I:ironChiselUses=293440
    D:maxDrawnRegionSize=4.0
    B:requireBagSpace=false
    I:stoneChiselUses=8384
    B:voidExcessBits=false
    I:wrenchUses=1888
}


"client performance settings" {
    B:defaultToDynamicRenderer=false
    I:dynamicMaxConcurrentTessalators=32
    I:dynamicModelFaceCount=40
    B:dynamicModelMinimizeLatancy=true
    I:dynamicModelRange=128
    B:dynamicRenderFullChunksOnly=true
    B:forceDynamicRenderer=false
    I:maxMillisecondsPerBlock=10
    I:maxMillisecondsUploadingPerFrame=15
    I:minimizeLatancyMaxTime=100
    S:useVBO=AUTOMATIC
}


"client settings" {
    B:addBrokenBlocksToCreativeClipboard=true
    B:chatModeNotification=false
    I:creativeClipboardSize=32
    B:displayMeasuringTapeInChat=false
    B:enableChiselMode_ConnectedMaterial=true
    B:enableChiselMode_ConnectedPlane=true
    B:enableChiselMode_DrawnRegion=true
    B:enableChiselMode_LargeCube=true
    B:enableChiselMode_Line=true
    B:enableChiselMode_MediumCube=true
    B:enableChiselMode_Plane=true
    B:enableChiselMode_SameMaterial=true
    B:enableChiselMode_SmallCube=true
    B:enableChiselMode_Snap2=true
    B:enableChiselMode_Snap4=true
    B:enableChiselMode_Snap8=true
    B:enablePositivePatternMode_Additive=true
    B:enablePositivePatternMode_Impose=true
    B:enablePositivePatternMode_Placement=true
    B:enablePositivePatternMode_Replace=true
    B:enableRightClickModeChange=false
    B:enableTapeMeasure_Bit=true
    B:enableTapeMeasure_Block=true
    B:enableTapeMeasure_Distance=true
    B:enableToolbarIcons=true
    B:fluidBitsAreClickThrough=true
    B:invertBitBagFullness=false
    B:itemNameModeDisplay=true
    I:maxTapeMeasures=5
    I:maxUndoLevel=32
    B:perChiselMode=true
    B:persistCreativeClipboard=true
    D:radialMenuVolume=0.10000000149011612
    B:showUsage=true
}


crafting {
    B:enableChiselCrafting=true
    B:enableNegativePrintInversionCrafting=true
    B:enablePositivePrintCrafting=true
    B:enableStackableCrafting=true
}


"enabled blocks" {
    B:betterwithaddons.block.BetterRedstone.BlockPCB=true
    B:betterwithaddons.block.BlockColoredBrick=true
    B:betterwithaddons.block.BlockModLog=true
    B:betterwithaddons.block.BlockModPlanks=true
    B:betterwithaddons.block.BlockPavement=true
    B:betterwithaddons.block.BlockRedstoneEmitter=true
    B:betterwithaddons.block.BlockSoap=true
    B:betterwithaddons.block.BlockTermiteLog=true
    B:betterwithaddons.block.BlockWhiteBrick=true
    B:betterwithaddons.block.BlockWorldScale=true
    B:betterwithaddons.block.BlockWorldScaleOre=true
    B:betterwithaddons.block.EriottoMod.BlockIronSand=true
    B:betterwithaddons.block.EriottoMod.BlockKera=true
    B:betterwithmods.common.blocks.BlockAesthetic=true
    B:betterwithmods.common.blocks.BlockBUD=true
    B:betterwithmods.common.blocks.BlockBrokenGearbox=true
    B:betterwithmods.common.blocks.BlockCobble=true
    B:betterwithmods.common.blocks.BlockNetherClay=true
    B:betterwithmods.common.blocks.BlockSteel=true
    B:betterwithmods.common.blocks.BlockWolf=true
    B:com.jaquadro.minecraft.storagedrawers.block.BlockTrim=true
    B:net.minecraft.block.Block=true
    B:net.minecraft.block.BlockBone=true
    B:net.minecraft.block.BlockBookshelf=true
    B:net.minecraft.block.BlockClay=true
    B:net.minecraft.block.BlockColored=true
    B:net.minecraft.block.BlockCompressedPowered=true
    B:net.minecraft.block.BlockConcretePowder=true
    B:net.minecraft.block.BlockDirt=true
    B:net.minecraft.block.BlockGlass=true
    B:net.minecraft.block.BlockGlazedTerracotta=true
    B:net.minecraft.block.BlockGlowstone=true
    B:net.minecraft.block.BlockGrass=true
    B:net.minecraft.block.BlockGravel=true
    B:net.minecraft.block.BlockHardenedClay=true
    B:net.minecraft.block.BlockHay=true
    B:net.minecraft.block.BlockMelon=true
    B:net.minecraft.block.BlockMycelium=true
    B:net.minecraft.block.BlockNetherBrick=true
    B:net.minecraft.block.BlockNetherrack=true
    B:net.minecraft.block.BlockNewLeaf=true
    B:net.minecraft.block.BlockNewLog=true
    B:net.minecraft.block.BlockObserver=true
    B:net.minecraft.block.BlockObsidian=true
    B:net.minecraft.block.BlockOldLeaf=true
    B:net.minecraft.block.BlockOldLog=true
    B:net.minecraft.block.BlockOre=true
    B:net.minecraft.block.BlockPackedIce=true
    B:net.minecraft.block.BlockPlanks=true
    B:net.minecraft.block.BlockPrismarine=true
    B:net.minecraft.block.BlockQuartz=true
    B:net.minecraft.block.BlockRedSandstone=true
    B:net.minecraft.block.BlockRedstoneLight=true
    B:net.minecraft.block.BlockRedstoneOre=true
    B:net.minecraft.block.BlockRotatedPillar=true
    B:net.minecraft.block.BlockSand=true
    B:net.minecraft.block.BlockSandStone=true
    B:net.minecraft.block.BlockSeaLantern=true
    B:net.minecraft.block.BlockSilverfish=true
    B:net.minecraft.block.BlockSlime=true
    B:net.minecraft.block.BlockSnowBlock=true
    B:net.minecraft.block.BlockSponge=true
    B:net.minecraft.block.BlockStainedGlass=true
    B:net.minecraft.block.BlockStainedHardenedClay=true
    B:net.minecraft.block.BlockStone=true
    B:net.minecraft.block.BlockStoneBrick=true
    B:prospector.traverse.blocks.base.BlockTraverse=true
    B:prospector.traverse.blocks.base.BlockTraverseWoodLog=true
    B:prospector.traverse.blocks.base.BlockTraverseWoodPlanks=true
    B:shadows.fastbench.block.BlockFastBench=true
    B:vazkii.quark.automation.block.BlockSugar=true
    B:vazkii.quark.building.block.BlockBark=true
    B:vazkii.quark.building.block.BlockCarvedWood=true
    B:vazkii.quark.building.block.BlockCharredNetherBricks=true
    B:vazkii.quark.building.block.BlockDuskbound=true
    B:vazkii.quark.building.block.BlockDuskboundLantern=true
    B:vazkii.quark.building.block.BlockHardenedClayTiles=true
    B:vazkii.quark.building.block.BlockIronPlate=true
    B:vazkii.quark.building.block.BlockMagmaBricks=true
    B:vazkii.quark.building.block.BlockMidori=true
    B:vazkii.quark.building.block.BlockMidoriPillar=true
    B:vazkii.quark.building.block.BlockNewSandstone=true
    B:vazkii.quark.building.block.BlockPolishedNetherrack=true
    B:vazkii.quark.building.block.BlockPolishedStone=true
    B:vazkii.quark.building.block.BlockQuiltedWool=true
    B:vazkii.quark.building.block.BlockReed=true
    B:vazkii.quark.building.block.BlockSandyBricks=true
    B:vazkii.quark.building.block.BlockSnowBricks=true
    B:vazkii.quark.building.block.BlockSoulSandstone=true
    B:vazkii.quark.building.block.BlockStainedClayTiles=true
    B:vazkii.quark.building.block.BlockStainedPlanks=true
    B:vazkii.quark.building.block.BlockSturdyStone=true
    B:vazkii.quark.building.block.BlockThatch=true
    B:vazkii.quark.building.block.BlockVerticalPlanks=true
    B:vazkii.quark.building.block.BlockVerticalStainedPlanks=true
    B:vazkii.quark.building.block.BlockWorldStoneBricks=true
    B:vazkii.quark.building.block.BlockWorldStonePavement=true
    B:vazkii.quark.decoration.block.BlockBlazeLantern=true
    B:vazkii.quark.decoration.block.BlockCharcoal=true
    B:vazkii.quark.decoration.block.BlockCustomBookshelf=true
    B:vazkii.quark.decoration.block.BlockLitLamp=true
    B:vazkii.quark.world.block.BlockBasalt=true
    B:vazkii.quark.world.block.BlockLimestone=true
    B:vazkii.quark.world.block.BlockMarble=true
}


"integration settings" {
    B:ShowBitsInJEI=false
    B:enableMCMultipart=true
    B:enableVivecraftCompatibility=false
}


items {
    B:enableBitBag=true
    B:enableBitSaw=true
    B:enableBitTank=true
    B:enableChisledBits=true
    B:enableDiamondChisel=true
    B:enableGoldChisel=true
    B:enableIronChisel=true
    B:enableMirrorPrint=true
    B:enableNegativePrint=true
    B:enablePositivePrint=true
    B:enableStoneChisel=true
    B:enableTapeMeasure=true
    B:enableWoodenWrench=true
}


troublershooting {
    B:disableCustomVertexFormats=false
    B:enableFaceLightmapExtraction=true
    B:useGetLightValue=true
}


troubleshooting {
    B:enableAPITestingItem=false
    B:logTileErrors=false
}


